<template>
  <div class="main">
    <div class="main-container">
      <div class="sidebar">
        <userSidebar />
      </div>
      <div class="mainbar">
        <userBody />
        <div class="chat-box" :class="{ active: isHiddenChat }">
          <Chat />
        </div>
        <div class="show-chat-btn" :class="{ active: isHiddenChat }">
          <button @click="toggle">
            <img src="./img/arrow.svg" alt="arrow">
          </button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import userSidebar from "./userSidebar.vue";
import userBody from "./userBody.vue";
import Chat from "../../../components/Chat/Chat.vue";
import { mapState, mapMutations } from "vuex";
export default {
  components: {
    userSidebar,
    userBody,
    Chat,
  },

  computed: {
    ...mapState(["isHiddenChat"]),
  },

  methods: {
    ...mapMutations(['showChat']),
    toggle() {
      this.showChat(!this.isHiddenChat)
    }
  }
};
</script>

<style lang='scss' src='./styles/styles.scss'>
</style>